## open-vm-tools 8.8.0+2011.09.23

=== modules/linux/vmci/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmci
PRODUCT := tools

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	make -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== modules/linux/vmsync/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmsync
PRODUCT := tools

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	make -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

## open-vm-tools 8.8.0+2011.09.23-491607

=== debian/changelog ===
open-vm-tools (2:8.8.0+2011.09.23-491607-1) unstable; urgency=low

  * Marking binary architecture-dependend packages as linux and kfreebsd
    only.
  * Removing legacy symlink for vmware-user desktop file in vmware-
    toolbox (Closes: #639811).
  * Merging upstream version 8.8.0+2011.09.23-491607:
    - works with binutils-gold (Closes: #556756).
  * Removing liburiparser-dev from build-depends as upstream dropped
    unity support.
  * Building with libproc-dev on amd64 again.
  * Dropping disabling of dnet support (Closes: #639767).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 09 Oct 2011 18:01:42 +0200

=== debian/control ===
Source: open-vm-tools
Section: contrib/admin
Priority: extra
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 8), autotools-dev, libdumbnet-dev, libfuse-dev,
 libgtk2.0-dev, libgtkmm-2.4-dev, libicu-dev, libnotify-dev, libpam0g-dev,
 libproc-dev, libx11-dev, libxinerama-dev, libxss-dev, libxtst-dev
Standards-Version: 3.9.2
Homepage: http://open-vm-tools.sourceforge.net/

Package: open-vm-tools
Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: open-vm-source, ethtool, zerofree
Suggests: open-vm-toolbox
Description: tools and components for VMware guest systems (CLI tools)
 The Open Virtual Machine Tools (open-vm-tools) are the open source
 implementation of VMware Tools. They are a set of guest operating system
 virtualization components that enhance performance and user experience of
 virtual machines.
 .
 As virtualization technology rapidly becomes mainstream, each virtualization
 solution provider implements their own set of tools and utilities to supplement
 the guest virtual machine. However, most of the implementations are proprietary
 and are tied to a specific virtualization platform.

Package: open-vm-toolbox
Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
Recommends:
 open-vm-source, xauth, xserver-xorg-input-vmmouse, xserver-xorg-video-vmware
Suggests: xdg-utils
Description: tools and components for VMware guest systems (GUI tools)
 The Open Virtual Machine Tools (open-vm-tools) are the open source
 implementation of VMware Tools. They are a set of guest operating system
 virtualization components that enhance performance and user experience of
 virtual machines.
 .
 As virtualization technology rapidly becomes mainstream, each virtualization
 solution provider implements their own set of tools and utilities to supplement
 the guest virtual machine. However, most of the implementations are proprietary
 and are tied to a specific virtualization platform.

Package: open-vm-tools-dbg
Section: contrib/debug
Priority: extra
Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, open-vm-tools (= ${binary:Version}), open-vm-toolbox (= ${binary:Version})
Description: tools and components for VMware guest systems (debug)
 The Open Virtual Machine Tools (open-vm-tools) are the open source
 implementation of VMware Tools. They are a set of guest operating system
 virtualization components that enhance performance and user experience of
 virtual machines.
 .
 This package contains the debugging symbols.

Package: open-vm-source
Architecture: all
Depends: ${misc:Depends}, debhelper (>= 8), make, bzip2
Recommends: module-assistant, open-vm-tools
Suggests: open-vm-toolbox
Description: Source for VMware guest systems driver
 This package provides the source code for the open-vm kernel modules.
 The open-vm-tools package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

#CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# some default definitions, important!
#
# Name of the source package
psource:=open-vm-source

# The short upstream name, used for the module source directory
sname:=open-vm

### KERNEL SETUP
### Setup the stuff needed for making kernel module packages
### taken from /usr/share/kernel-package/sample.module.rules

# prefix of the target package name
PACKAGE=open-vm-modules
# modifieable for experiments or debugging m-a
MA_DIR ?= /usr/share/modass
# load generic variable handling
-include $(MA_DIR)/include/generic.make
# load default rules, including kdist, kdist_image, ...
-include $(MA_DIR)/include/common-rules.make

# module assistant calculates all needed things for us and sets
# following variables:
# KSRC (kernel source directory), KVERS (kernel version string), KDREV
# (revision of the Debian kernel-image package), CC (the correct
# compiler), VERSION (the final package version string), PKGNAME (full
# package name with KVERS included), DEB_DESTDIR (path to store DEBs)

# The kdist_configure target is called by make-kpkg modules_config and
# by kdist* rules by dependency. It should configure the module so it is
# ready for compilation (mostly useful for calling configure).
# prep-deb-files from module-assistant creates the neccessary debian/ files
kdist_configure: prep-deb-files

# the kdist_clean target is called by make-kpkg modules_clean and from
# kdist* rules. It is responsible for cleaning up any changes that have
# been made by the other kdist_commands (except for the .deb files created)
kdist_clean: clean
	$(MAKE) $(MFLAGS) KERNELDIR=$(KSRC) clean
#
### end  KERNEL SETUP

# the binary-modules rule is invoked by module-assistant while processing the
# kdist* targets. It is called by module-assistant or make-kpkg and *not*
# during a normal build
binary-modules: prep-deb-files
	dh_testroot
	dh_prep

	# Building the modules
	$(MAKE)

	# Installing the modules
	set -e; for MODULE in vmblock vmci vmhgfs vmsync vmxnet vsock; \
	do \
		install -D -m 0644 modules/linux/$$MODULE.o debian/$(PACKAGE)-$(KVERS)/lib/modules/$(KVERS)/misc/$$MODULE.ko; \
	done

	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installmodules
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)
	dh_prep

config.status: configure
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config/config.guess
endif

	# Configuring package
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --without-kernel-modules

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Building package
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f config/config.guess config/config.sub

	# Cleaning package
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Installing package
	$(MAKE) DESTDIR=$(CURDIR)/debian/open-vm-tools install

	# Removing useless files
	rm -f debian/open-vm-tools/usr/lib/*.la
	rm -f debian/open-vm-tools/usr/lib/open-vm-tools/plugins/*/*.la

	install -D -m 0755 vmware-user-suid-wrapper/vmware-user-suid-wrapper debian/open-vm-toolbox/usr/sbin/vmware-user-suid-wrapper

	set -e; if [ -e debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 ]; \
	then \
		sed -i -e "s|lib64|lib|g" debian/open-vm-tools/etc/pam.d/vmtoolsd-x64; \
		mv debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 debian/open-vm-tools/etc/pam.d/vmtoolsd; \
	fi

	chmod 0644 debian/open-vm-tools/etc/pam.d/vmtoolsd

	install -D -m 0755 debian/local/vmxnet.hook debian/open-vm-tools/usr/share/initramfs-tools/hooks/vmxnet

	# Moving open-vm-tools files
	mkdir -p debian/open-vm-tools/sbin
	mv debian/open-vm-tools/usr/sbin/mount.vmhgfs debian/open-vm-tools/sbin/mount.vmhgfs

	# Moving open-vm-toolbox files
	mkdir -p debian/open-vm-toolbox/usr/lib/open-vm-tools/plugins
	mv debian/open-vm-tools/usr/lib/open-vm-tools/plugins/vmusr debian/open-vm-toolbox/usr/lib/open-vm-tools/plugins

	# Installing configuration files
	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-toolbox/etc/vmware-tools/xautostart.conf
	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf

	# Create the directories to install the source into
	dh_installdirs -p$(psource)  usr/src/modules/$(sname)/debian

	# Copy only the driver source to the proper location
	cp -a modules debian/$(psource)/usr/src/modules/$(sname)
	mkdir -p debian/$(psource)/usr/src/modules/$(sname)/lib
	cp -a lib/backdoor lib/hgfs lib/hgfsBd lib/include lib/message lib/misc lib/rpcOut debian/$(psource)/usr/src/modules/$(sname)/lib
	cd debian/$(psource)/usr/src/modules/$(sname); \
	find . -name ".dep*" -or -name ".lib*" -or -name "*.o" -or -name "*.la" -or -name "*.lo" | xargs rm -rf
	cp debian/local/Makefile debian/$(psource)/usr/src/modules/$(sname)/Makefile
	# Copy the needed debian/ pieces to the proper location
	cp debian/*modules.in* \
		debian/$(psource)/usr/src/modules/$(sname)/debian
	cp debian/control debian/rules debian/changelog debian/copyright \
		debian/compat debian/$(psource)/usr/src/modules/$(sname)/debian/
	cd debian/$(psource)/usr/src && tar c modules | bzip2 -9 > $(sname).tar.bz2 && rm -rf modules

	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_installinit --update-rcd-params='start 38 2 3 4 5 . stop 38 0 1 6 .'
	dh_installmodules
	dh_lintian
	dh_link
	dh_strip --dbg-package=open-vm-tools-dbg
	dh_compress
	dh_fixperms -Xsbin/mount.vmhgfs
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install binary-modules kdist kdist_configure kdist_image kdist_clean

## open-vm-tools 8.8.0+2011.10.26

=== modules/linux/vmblock/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmblock
PRODUCT := tools-source

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	make -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== modules/linux/vmhgfs/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmhgfs
PRODUCT := tools

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	make -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== modules/linux/vmxnet/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmxnet
PRODUCT := tools-source

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	make -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

## open-vm-tools 8.8.0+2011.10.26-514583

=== debian/changelog ===
open-vm-tools (2:8.8.0+2011.10.26-514583-1) unstable; urgency=low

  * Merging upstream version 8.8.0+2011.10.26-514583.
  * Correcting typo in example fstab line of vmhgfs manpage.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 01 Nov 2011 21:44:24 +0100

open-vm-tools (2:8.8.0+2011.09.23-491607-3) unstable; urgency=low

  * Sorting overrides in rules alphabetically.
  * Compacting copyright file.
  * Adding udev rule to set timeout for vmware scsi devices (Closes:
    #609001).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 30 Oct 2011 21:26:00 +0100

open-vm-tools (2:8.8.0+2011.09.23-491607-2) unstable; urgency=low

  * Adding doxygen to build-depends for api documentation.
  * Adding libcunit1-dev to build-depends for test suites.
  * Adding dmks package again, it had to be dropped right before the
    squeeze release (Closes: #632220).
  * Removing open-vm-source in favour of open-vm-dkms (Closes: #518014).
  * Minimizing rules file.
  * Adding open-vm-tools-dev package, containing only the api
    documentation for now.
  * Moving package back to main as it is in the same category as
    xserver-xorg-video-vmware where it was in the first place.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 09 Oct 2011 23:07:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: open-vm-tools
-Section: contrib/admin
+Section: admin
 Priority: extra
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
- debhelper (>= 8), autotools-dev, libdumbnet-dev, libfuse-dev,
- libgtk2.0-dev, libgtkmm-2.4-dev, libicu-dev, libnotify-dev, libpam0g-dev,
- libproc-dev, libx11-dev, libxinerama-dev, libxss-dev, libxtst-dev
+ debhelper (>= 8), autotools-dev, doxygen, libcunit1-dev, libdumbnet-dev,
+ libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev, libicu-dev, libnotify-dev,
+ libpam0g-dev, libproc-dev, libx11-dev, libxinerama-dev, libxss-dev,
+ libxtst-dev
 Standards-Version: 3.9.2
 Homepage: http://open-vm-tools.sourceforge.net/
 
 Package: open-vm-tools
 Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: open-vm-source, ethtool, zerofree
+Recommends: open-vm-dkms, ethtool, zerofree
 Suggests: open-vm-toolbox
 Description: tools and components for VMware guest systems (CLI tools)
  The Open Virtual Machine Tools (open-vm-tools) are the open source
@@ -29,7 +30,7 @@
 Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
 Recommends:
- open-vm-source, xauth, xserver-xorg-input-vmmouse, xserver-xorg-video-vmware
+ open-vm-dkms, xauth, xserver-xorg-input-vmmouse, xserver-xorg-video-vmware
 Suggests: xdg-utils
 Description: tools and components for VMware guest systems (GUI tools)
  The Open Virtual Machine Tools (open-vm-tools) are the open source
@@ -42,8 +43,20 @@
  the guest virtual machine. However, most of the implementations are proprietary
  and are tied to a specific virtualization platform.
 
+Package: open-vm-tools-dev
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}
+Description: tools and components for VMware guest systems (development)
+ The Open Virtual Machine Tools (open-vm-tools) are the open source
+ implementation of VMware Tools. They are a set of guest operating system
+ virtualization components that enhance performance and user experience of
+ virtual machines.
+ .
+ This package contains the development files.
+
 Package: open-vm-tools-dbg
-Section: contrib/debug
+Section: debug
 Priority: extra
 Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
 Depends: ${misc:Depends}, open-vm-tools (= ${binary:Version}), open-vm-toolbox (= ${binary:Version})
@@ -55,12 +68,12 @@
  .
  This package contains the debugging symbols.
 
-Package: open-vm-source
+Package: open-vm-dkms
 Architecture: all
-Depends: ${misc:Depends}, debhelper (>= 8), make, bzip2
-Recommends: module-assistant, open-vm-tools
+Depends: ${misc:Depends}, dkms, make
+Recommends: open-vm-tools
 Suggests: open-vm-toolbox
-Description: Source for VMware guest systems driver
+Description: Source for VMware guest systems driver (DKMS)
  This package provides the source code for the open-vm kernel modules.
  The open-vm-tools package is also required in order to make use of these
  modules. Kernel source or headers are required to compile these modules.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --without-kernel-modules

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools

	install -D -m 0755 vmware-user-suid-wrapper/vmware-user-suid-wrapper debian/open-vm-toolbox/usr/sbin/vmware-user-suid-wrapper

	if [ -e debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 ]; \
	then \
		sed -i -e "s|lib64|lib|g" debian/open-vm-tools/etc/pam.d/vmtoolsd-x64; \
		mv debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 debian/open-vm-tools/etc/pam.d/vmtoolsd; \
	fi

	chmod 0644 debian/open-vm-tools/etc/pam.d/vmtoolsd

	install -D -m 0755 debian/local/vmxnet.hook debian/open-vm-tools/usr/share/initramfs-tools/hooks/vmxnet
	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-toolbox/etc/vmware-tools/xautostart.conf
	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf

	# open-vm-tools-dev
	mkdir -p debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
	mv debian/open-vm-tools/usr/share/doc/open-vm-tools/api debian/open-vm-tools-dev/usr/share/doc/open-vm-tools

	# open-vm-dkms
	mkdir -p debian/open-vm-dkms/usr/src
	sh modules/linux/dkms.sh . debian/open-vm-dkms/usr/src
	find debian/open-vm-dkms/usr/src -name COPYING | xargs rm -f
	find debian/open-vm-dkms/usr/src -name "Makefile*" | xargs chmod 0755

	# removing useless files
	rm -f debian/open-vm-tools/usr/lib/*.la
	rm -f debian/open-vm-tools/usr/lib/open-vm-tools/plugins/*/*.la
	rm -rf debian/open-vm-tools/usr/share/open-vm-tools/tests

	# moving open-vm-tools files
	mkdir -p debian/open-vm-tools/sbin
	mv debian/open-vm-tools/usr/sbin/mount.vmhgfs debian/open-vm-tools/sbin/mount.vmhgfs

	# moving open-vm-toolbox files
	mkdir -p debian/open-vm-toolbox/usr/lib/open-vm-tools/plugins
	mv debian/open-vm-tools/usr/lib/open-vm-tools/plugins/vmusr debian/open-vm-toolbox/usr/lib/open-vm-tools/plugins

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

override_dh_fixperms:
	dh_fixperms -Xsbin/mount.vmhgfs

override_dh_installinit:
	dh_installinit --update-rcd-params='start 38 2 3 4 5 . stop 38 0 1 6 .'

override_dh_strip:
	dh_strip --dbg-package=open-vm-tools-dbg

## open-vm-tools 8.8.0+2011.11.20-535097

=== debian/changelog ===
open-vm-tools (2:8.8.0+2011.11.20-535097-1) unstable; urgency=low

  * Merging upstream version 8.8.0+2011.11.20-535097.
  * Adding patch to update build-system for procps-ng.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 28 Nov 2011 18:33:58 +0100

## open-vm-tools 8.8.0+2011.12.20-562307

=== debian/changelog ===
open-vm-tools (2:8.8.0+2011.12.20-562307-1) unstable; urgency=low

  * Merging upstream version 8.8.0+2011.12.20-562307.
  * Adding patch to correct typo in upstreams dkms configuration
    (Closes: #651778).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 26 Dec 2011 11:27:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends:
  debhelper (>= 8), autotools-dev, doxygen, libcunit1-dev, libdumbnet-dev,
  libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev, libicu-dev, libnotify-dev,
- libpam0g-dev, libproc-dev, libx11-dev, libxinerama-dev, libxss-dev,
- libxtst-dev
+ libpam0g-dev, libproc-dev (>= 1:3.3.1), libx11-dev, libxinerama-dev,
+ libxss-dev, libxtst-dev
 Standards-Version: 3.9.2
 Homepage: http://open-vm-tools.sourceforge.net/

## open-vm-tools 8.8.0+2012.05.21-724730

=== debian/changelog ===
open-vm-tools (2:8.8.0+2012.05.21-724730-1+nmu2+deb7u1) stable; urgency=medium

  * [6f4a32b1] Add patch to handle the move of d_alias to d_u.d_alias.
    Thanks to Stefan Schueller (Closes: #779081)
  * [b32d3413] Add git-buildpackage config for wheezy.
  * [3f1b34b0] Updating Maintainer.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 19 Mar 2015 16:44:25 +0100

open-vm-tools (2:8.8.0+2012.05.21-724730-1+nmu2) testing-proposed-updates; urgency=low

  * Non-maintainer upload.
  * Adjust runtime dependencies for open-vm-tools init script.
    Add $remote_fs to Required-{Start,Stop} as the init script calls
    executables under /usr. To prevent  a loop between service networking
    and umountnfs also remove $network from X-Start-Before and X-Stop-After.
    (Closes: #695845)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Dec 2012 23:55:25 +0100

open-vm-tools (2:8.8.0+2012.05.21-724730-1+nmu1) testing-proposed-updates; urgency=low

  [ Bernd Zeimetz ]
  * Non-maintainer upload to ensure open-vm-tools will
    be shipped with Wheezy.
  * Ensure upgrades to not fail due to the broken init script
    (Closes: #686200)
    - Fix open-vm-tools init script to stop vmtoolsd properly.
    - Handle upgrades from a version with broken init script.
      Try to stop again, just in case. Ignore errors as we don't know
      how successful the old buggy script was.
  * Remove the duplicate vmware-suid-wrapper from open-vm-toolbox.
    The better way would be to ship it in open-vm-toolbox instead of
    open-vm-tools, but to avoid moving config files from one package
    into another we will keep it this way for Wheezy. Partly addresses
    #686202.
  * Handle binNMU/nmu/backports/... version numbers.
    The old way to parse the version string from debian/changelog fails
    on binNMU/nmu/security/... version numbers. Fixing this.
    (Closes: #686582)

  [ Daniel Baumann ]
  * Updating GPL boilerplate in copyright file.
  * Calling dh_dkms with version argument (Closes: #677503).

  [ Thijs Kinkhorst ]
  * Updating dkms.conf to make modules build again, 
    thanks to H.A.J. Koster (Closes: #679886).

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 19 Aug 2012 22:20:10 +0200

open-vm-tools (2:8.8.0+2012.05.21-724730-1) unstable; urgency=low

  * Merging upstream version 8.8.0+2012.05.21-724730.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 14 Jun 2012 12:05:11 +0200

open-vm-tools (2:8.8.0+2012.03.13-651368-1) unstable; urgency=low

  [ Michael Dorrington ]
  * Changed Build-Depends to libprocps0-dev to fix libproc-dev removal
    (Closes: #659595).

  [ Daniel Baumann ]
  * Merging upstream version 8.8.0+2012.03.13-651368:
    - compatible with linux 3.2 and 3.3 (Closes: #656618).
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Building with debhelper dkms support (Closes: #651779, #654249).
  * Updating procps patch for newest procps library name.
  * Building without multiarch paths for now.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 20 Mar 2012 07:52:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: open-vm-tools
 Section: admin
 Priority: extra
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
- debhelper (>= 8), autotools-dev, doxygen, libcunit1-dev, libdumbnet-dev,
- libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev, libicu-dev, libnotify-dev,
- libpam0g-dev, libproc-dev (>= 1:3.3.1), libx11-dev, libxinerama-dev,
- libxss-dev, libxtst-dev
-Standards-Version: 3.9.2
+ debhelper (>= 9), autotools-dev, dkms, doxygen, libcunit1-dev,
+ libdumbnet-dev, libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev,
+ libicu-dev, libnotify-dev, libpam0g-dev, libprocps0-dev (>= 1:3.3.1),
+ libx11-dev, libxinerama-dev, libxss-dev, libxtst-dev
+Standards-Version: 3.9.3
 Homepage: http://open-vm-tools.sourceforge.net/
 
 Package: open-vm-tools

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #!/usr/bin/make -f
 
+
+VERSION = $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's|^[^+]*:[^+]*+||' -e 's|-.*$$||')
+
 %:
-	dh ${@} --with autotools_dev
+	dh ${@} --with autotools_dev,dkms
 
 override_dh_auto_configure:
-	dh_auto_configure -- --without-kernel-modules
+	dh_auto_configure -- --prefix=/usr --libdir=\$${prefix}/lib --without-kernel-modules
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools
 
-	install -D -m 0755 vmware-user-suid-wrapper/vmware-user-suid-wrapper debian/open-vm-toolbox/usr/sbin/vmware-user-suid-wrapper
 
 	if [ -e debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 ]; \
 	then \
@@ -57,3 +59,7 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=open-vm-tools-dbg
+
+override_dh_dkms:
+	dh_dkms -V $(VERSION)
+
